View Issue Details

IDProjectCategoryView StatusLast Update
0004780Talerdeployment and operationspublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004780: Buildbot unwordy
DescriptionThe new Web interface from buildbot shows very little details about
the builds, and it's also not obvious how to trigger a force build.
TagsNo tags attached.

Relationships

related to 0004804 closedMarcello Stanisci lcov borked 

Activities

Marcello Stanisci

2016-12-22 16:06

manager   ~0011605

Still obscure how to display more details. The waterfall view at least works, and the builds are fine.
A big problem is how to trigger forced builds (the ones a logged user triggers by clicking a button).

From commit 9a76c7e, the forced build is started as documented in the example at [1], but still no sign
of a "force build" button after I log in.

[1] http://docs.buildbot.net/latest/manual/cfg-www.html#example-configs

Marcello Stanisci

2016-12-22 16:23

manager   ~0011606

Last edited: 2016-12-22 16:24

View 2 revisions

Florian: if you could help on this, it'd be great: basically there is no sign of the "force build" button..

Marcello Stanisci

2017-02-17 15:08

manager   ~0011772

Last edited: 2017-02-17 15:08

View 2 revisions

Those functionalities not shown were actually using *websocket*.
So nginx needed to be configured for that. [1] explains how.

[1] http://www.tutorialspoint.com/articles/how-to-configure-nginx-as-reverse-proxy-for-websocket

Issue History

Date Modified Username Field Change
2016-11-13 20:38 Marcello Stanisci New Issue
2016-11-13 20:39 Marcello Stanisci Assigned To => Marcello Stanisci
2016-11-13 20:39 Marcello Stanisci Status new => assigned
2016-12-07 14:26 Marcello Stanisci Priority normal => high
2016-12-22 16:06 Marcello Stanisci Note Added: 0011605
2016-12-22 16:23 Marcello Stanisci Note Added: 0011606
2016-12-22 16:24 Marcello Stanisci Note Edited: 0011606 View Revisions
2016-12-22 17:05 Marcello Stanisci Relationship added related to 0004804
2017-02-04 10:52 Marcello Stanisci Priority high => normal
2017-02-17 15:08 Marcello Stanisci Status assigned => resolved
2017-02-17 15:08 Marcello Stanisci Resolution open => fixed
2017-02-17 15:08 Marcello Stanisci Note Added: 0011772
2017-02-17 15:08 Marcello Stanisci Note Edited: 0011772 View Revisions
2017-02-26 03:10 Christian Grothoff Product Version => SVN HEAD
2017-02-26 03:10 Christian Grothoff Fixed in Version => 0.3
2017-02-26 03:10 Christian Grothoff Target Version 0.5 => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed